package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户地址对象 fs_user_address
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsUserAddress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户地址id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 收货人姓名 */
    @Excel(name = "收货人姓名")
    private String realName;

    /** 收货人电话 */
    @Excel(name = "收货人电话")
    private String phone;

    /** 收货人所在省 */
    @Excel(name = "收货人所在省")
    private String province;

    /** 收货人所在市 */
    @Excel(name = "收货人所在市")
    private String city;

    /** $column.columnComment */
    @Excel(name = "收货人所在市")
    private Long cityId;

    /** 收货人所在区 */
    @Excel(name = "收货人所在区")
    private String district;

    /** 收货人详细地址 */
    @Excel(name = "收货人详细地址")
    private String detail;

    /** 邮编 */
    @Excel(name = "邮编")
    private String postCode;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 是否默认 */
    @Excel(name = "是否默认")
    private Integer isDefault;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setRealName(String realName) 
    {
        this.realName = realName.trim();
    }

    public String getRealName() 
    {
        return realName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone.trim();
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setDistrict(String district) 
    {
        this.district = district;
    }

    public String getDistrict() 
    {
        return district;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail.trim();
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setPostCode(String postCode) 
    {
        this.postCode = postCode;
    }

    public String getPostCode() 
    {
        return postCode;
    }
    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }
    public void setIsDefault(Integer isDefault) 
    {
        this.isDefault = isDefault;
    }

    public Integer getIsDefault() 
    {
        return isDefault;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("realName", getRealName())
            .append("phone", getPhone())
            .append("province", getProvince())
            .append("city", getCity())
            .append("cityId", getCityId())
            .append("district", getDistrict())
            .append("detail", getDetail())
            .append("postCode", getPostCode())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("isDefault", getIsDefault())
            .append("isDel", getIsDel())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
